public class Surface extends Entite{
	
	private boolean visible=true;
	private String tileStr=new String();
	private int bruitagePas=0;
	//boolean illumine=false;
	boolean interieur=false;
	
	
	//public Surface(boolean visibleC,String tileStrC,int stepSound,boolean light){
	
	public Surface(boolean visibleC,String tileStrC,int stepSound, boolean interieurC){
		
		//illumine=light;
		visible=visibleC;
		tileStr=tileStrC;
		bruitagePas=stepSound;
		interieur=interieurC;
	}
	
	
	
	/*
	public boolean getIllumine(){
		return illumine;
	}
	
	public void setIllumine(boolean lit){
		illumine=lit;
	}
	*/
	
	public boolean getInterieur(){
		return interieur;
	}
	
	
	public int getBruitagPas(){
		
		return bruitagePas;
	}
	
	public boolean getVisible(){
		return visible;
	}
	
	public void setVisible(boolean visibility){
		visible=visibility;
	}
	

	
	public String getTileStr(){
		
		return tileStr;
	}
	
	//public String getTypeObjet(){
	//	return typeObjet;
	//}
	
	
}